Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(50)

Issue 28053003: [CSS Grid Layout] Cache track breadth min/max content types (Closed)

Created:
6 years, 1 month ago by Xan
Modified:
6 years, 1 month ago
CC:
blink-reviews, eae+blinkwatch, leviw+renderwatch, jchaffraix+rendering, zoltan1, esprehn, ojan
Base URL:
https://chromium.googlesource.com/chromium/blink.git@lognsearch
Visibility:
Public.

Description

[CSS Grid Layout] Cache track breadth min/max content types Profiling shows we repeatedly hit the GridLength isLength() method and the is{Min,Max}Content() methods of the actual Length object. By caching this information, which won't change until we set again the grid lengths, we can improve the auto-grid-lots-of-data.html test by about a 6% (39 runs/s -> 41.5 runs/s). BUG=234211 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=160184

Patch Set 1 #

Total comments: 1

Patch Set 2 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+41 lines, -5 lines) Patch
M Source/core/rendering/style/GridTrackSize.h View 1 4 chunks +41 lines, -5 lines 0 comments Download

Messages

Total messages: 7 (0 generated)
Julien - ping for review
lgtm https://codereview.chromium.org/28053003/diff/1/Source/core/rendering/style/GridTrackSize.h File Source/core/rendering/style/GridTrackSize.h (right): https://codereview.chromium.org/28053003/diff/1/Source/core/rendering/style/GridTrackSize.h#newcode131 Source/core/rendering/style/GridTrackSize.h:131: m_minTrackBreadthIsMaxContent = minTrackBreadth().isLength() && minTrackBreadth().length().isMaxContent(); Nit: you could ...
6 years, 1 month ago (2013-10-18 18:47:35 UTC) #1
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/xan@igalia.com/28053003/50001
6 years, 1 month ago (2013-10-21 15:51:18 UTC) #2
commit-bot: I haz the power
Retried try job too often on win_blink_rel for step(s) webkit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=win_blink_rel&number=12726
6 years, 1 month ago (2013-10-21 18:23:47 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/xan@igalia.com/28053003/50001
6 years, 1 month ago (2013-10-21 18:48:55 UTC) #4
commit-bot: I haz the power
Retried try job too often on win_blink_rel for step(s) webkit_tests http://build.chromium.org/p/tryserver.chromium/buildstatus?builder=win_blink_rel&number=12815
6 years, 1 month ago (2013-10-21 22:17:24 UTC) #5
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/xan@igalia.com/28053003/50001
6 years, 1 month ago (2013-10-22 07:13:01 UTC) #6
commit-bot: I haz the power
6 years, 1 month ago (2013-10-22 11:08:13 UTC) #7
Message was sent while issue was closed.
Change committed as 160184

Powered by Google App Engine
This is Rietveld 408576698